Disk ARchive: libdar::etage Class Reference

| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
libdar::etage Class Reference
Private

the etage structure keep trace of directory contents More...

`#include <etage.hpp>`

## Public Member Functions
| etage (user_interaction &ui, const char *dirname, const datetime &x_last_acc, const datetime &x_last_mod, bool cache_directory_tagging, bool furtive_read_mode)
| etage (const etage &ref)=default
| etage (etage &&ref)=default
etage & | operator= (const etage &ref)=default
etage & | operator= (etage &&ref) noexcept=default
bool | read (std::string &ref, inode_type &tp)
bool | is_empty () const
datetime | get_last_mod () const
datetime | get_last_acc () const

## Private Attributes
std::deque< cell > | fichier
| holds the list of entry in the directory
datetime | last_mod
| the last_lod of the directory itself
datetime | last_acc
| the last_acc of the directory itself

## Detailed Description

the etage structure keep trace of directory contents

it relies on the [fd]opendir() system call family that cannot be used recursively. Thus each etage structure is used to cache the contents of a directory, and can then be stored beside other etage structures corresponding to subdirectories

Definition at line 50 of file etage.hpp.

## Constructor & Destructor Documentation

## ◆ etage()

libdar::etage::etage | ( |  | ) |
| inline

Definition at line 53 of file etage.hpp.

## Member Function Documentation

## ◆ get_last_acc()

datetime libdar::etage::get_last_acc | ( |  | ) | const
| inline

Definition at line 69 of file etage.hpp.

## ◆ get_last_mod()

datetime libdar::etage::get_last_mod | ( |  | ) | const
| inline

Definition at line 68 of file etage.hpp.

## ◆ is_empty()

bool libdar::etage::is_empty | ( |  | ) | const
| inline

Definition at line 67 of file etage.hpp.

## Member Data Documentation

## ◆ fichier

std::deque<cell> libdar::etage::fichier
| private

holds the list of entry in the directory

Definition at line 82 of file etage.hpp.

## ◆ last_acc

datetime libdar::etage::last_acc
| private

the last_acc of the directory itself

Definition at line 84 of file etage.hpp.

## ◆ last_mod

datetime libdar::etage::last_mod
| private

the last_lod of the directory itself

Definition at line 83 of file etage.hpp.

The documentation for this class was generated from the following file:

- etage.hpp